@import _root_.configuration.CcConfig

@(config: CcConfig)(implicit i18nMessages: Messages)

<div class="navbar navbar-fixed-top navbar-inverse" ng-controller="mainController">
    <img class="logo" src="@routes.Assets.versioned("images/logo_xivo-cc.svg")" />
    <div class="container">
        <div class="navbar-header">
            <a href="/ccmanager" class="navbar-brand">CC Manager</a>
        </div>
        <div class="navbar-collapse collapse navbar-inverse-collapse">
            <ul class="nav navbar-nav navbar-right">
                <li><a class="text-right" href ng-click="logout()" ><span class="glyphicon glyphicon-off"></span> @i18nMessages("xivo.disconnect")</a></li>
            </ul>
            <div class="nav navbar-nav navbar-right">
                <p class="navbar-text">{{user.fullName}}</p>
                <p class="navbar-text"></p>
            </div>
        </div>
    </div>
</div>
<div class="container-fluid"  ng-controller="ccViewController as ccViewCtrl">
    <div uib-alert type="warning" class="alert-warning" close="closeAlert()" ng-if="displayAlert()">
        {{'PROFILE_WARNING' | translate}}
    </div>
    <div ng-controller="ccQueuesController as ccQueuesCtrl" data-showcallbacks="@{config.showCallbacks}">
        <div id="sideNav" class="sidenav" ng-class="{open: ccViewCtrl.menuState, pinned: ccViewCtrl.menuPinned}">
            <div class="sidebar-action-buttons">
                <div class="nav-header-btn" title="@i18nMessages("ccmanager.aside.menu.close")">
                    <i class="glyphicon glyphicon-menu-hamburger" ng-click="ccViewCtrl.menuState = !ccViewCtrl.menuState"></i>
                </div>
                <div class="nav-header-btn" ng-class="ccViewCtrl.menuPinned ? 'pin-nav-btn rotate-90' : 'pin-nav-btn'"
                     title="@i18nMessages("ccmanager.aside.menu.pin")" ng-click="ccViewCtrl.menuPinned = !ccViewCtrl.menuPinned">
                    <i class="fa fa-fw fa-thumb-tack"></i>
                </div>
            </div>
            <div class="menu-padding">
                @changeView()
                @changeViewOption()
            </div>
        </div>
        <div class="aside-content" ng-click="ccViewCtrl.togglePinnedMenu()" menu-toggle-anim state="ccViewCtrl.menuState">
            <div class="row button-bar">
                <div class="col-md-12">
                    <div class="helper-intro menu" ng-show="helperVisibleMenu" ng-cloak><i class="fa fa-arrow-up" aria-hidden="true"></i> <span translate>MENU_TOGGLE</span></div>
                    <menu-toggle state="ccViewCtrl.menuState" class="menu-toggle" ng-class="{'helper-highlight menu': helperVisibleMenu}" title="@i18nMessages("ccmanager.aside.menu.open")"></menu-toggle>
                    @queueSelection()
                </div>
            </div>
            <div class="panel panel-default" ng-controller="ccViewGlobalController" ng-if="isActive('global')">
                <div class="alert alert-recording alert-danger" ng-if="hasError()" role="alert">
                    <span>{{'RECORDINGCONFIGMANAGERERROR' | translate}}</span>
                </div>
                <div class="panel-body">
                    <table ng-repeat="queue in queues | orderBy:'displayName'" class="table table-condensed queueTable" ng-show="isActive('global') ">
                        <tr>
                            <td ng-class="option.compactView.value ? 'queueTd-rotate-90' : 'queueTd'">@queueData()</td>
                            <td>
                                @globalView()
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="panel panel-default" ng-controller="ccViewAgentGroupController" ng-if="isActive('group') ">
                <div class="alert alert-recording alert-danger" ng-if="hasError()" role="alert">
                    <span>{{'RECORDINGCONFIGMANAGERERROR' | translate}}</span>
                </div>
                <div class="panel-body">
                    <table ng-repeat="queue in queues | orderBy:'displayName'" class="table table-condensed queueTable" ng-show="isActive('group') ">
                        <tr>
                            <td ng-class="option.compactView.value ? 'queueTd-rotate-90' : 'queueTd'">@queueData()</td>
                            <td>
                                @agentGroupView()
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="panel panel-default" ng-if="isActive('queue') ">
                <div class="panel-body">
                    @queueView()
                </div>
            </div>
            <div class="panel panel-default" ng-controller="ccAgentsController" ng-show="isActive('agent')">
                <div ng-if="isActive('agent')" class="panel-body">
                    @agentView()
                </div>
            </div>
            <div class="panel panel-default" ng-controller="ccCallbackController" ng-show="isActive('callback')">
                <div ng-if="isActive('callback')" class="panel-body">
                    @callbackView(config.internalHostAndPort)
                </div>
            </div>
            <div class="panel panel-default" ng-show="isActive('qualification')">
                <div ng-if="isActive('qualification')" class="panel-body">
                    @qualificationView(config.hostAndPort)
                </div>
            </div>

            @footer()
        </div>
    </div>
</div>
